<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import PFTEAMEditViewBase from './pfteamedit-view-base.vue';

import view_form from '@widgets/pfteam/main2-form/main2-form.vue';

/**
 * 班组
 *
 * @export
 * @class PFTEAMEditView
 * @extends {PFTEAMEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class PFTEAMEditView extends PFTEAMEditViewBase { }
</script>